CREATE TABLE fnd_console_issue (
    ISSUE_ID                         NUMBER(18, 0) ,
    CONSOLE_TRANSACTION_ID           NUMBER(18, 0) ,
    ISSUE_TYPE_CODE                  VARCHAR2(120) ,
    ISSUE_TITLE                      VARCHAR2(2000),
    ISSUE_STATUS_CODE                VARCHAR2(120) ,
    ISSUE_ACTION_CODE                VARCHAR2(320) ,
    ATTRIBUTE_CATEGORY               VARCHAR2(600) ,
    ATTRIBUTE1_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE2_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE3_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE4_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE5_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE6_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE7_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE8_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE9_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE10_VARCHAR2             VARCHAR2(600) ,
    ATTRIBUTE11_VARCHAR2             VARCHAR2(600) ,
    ATTRIBUTE12_VARCHAR2             VARCHAR2(600) ,
    ATTRIBUTE13_VARCHAR2             VARCHAR2(600) ,
    ATTRIBUTE14_VARCHAR2             VARCHAR2(600) ,
    ATTRIBUTE15_VARCHAR2             VARCHAR2(600) ,
    ISSUE_MODULE_COMP_INSTANCE_ID    VARCHAR2(400) ,
    ISSUE_MODULE_COMPONENT_NAME      VARCHAR2(1200),
    FAULT_ID                         VARCHAR2(4000),
    FAULT_CODE                       VARCHAR2(400) ,
    ERROR_CODE                       VARCHAR2(400) ,
    FAULT_PAYLOAD                    CLOB          ,
    BASE_ERROR_MESSAGE               VARCHAR2(4000),
    BASE_ERROR_HUMAN_TASK            VARCHAR2(800) ,
    BASE_ERROR_RULE_SET              VARCHAR2(4000),
    BASE_ERROR_RULE                  VARCHAR2(4000),
    BASE_ERROR_USER                  VARCHAR2(1600),
    BASE_ERROR_FUNCTION              VARCHAR2(800) ,
    CREATION_DATE                    TIMESTAMP(6)  ,
    CREATED_BY                       VARCHAR2(256) ,
    LAST_UPDATED_BY                  VARCHAR2(256) ,
    LAST_UPDATE_DATE                 TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    PARTITION_DATE                   TIMESTAMP(6)      NOT NULL,
    ISSUE_ID                         NUMBER(18, 0) ,
    CONSOLE_TRANSACTION_ID           NUMBER(18, 0) ,
    ISSUE_TYPE_CODE                  VARCHAR2(120) ,
    ISSUE_TITLE                      VARCHAR2(2000),
    ISSUE_STATUS_CODE                VARCHAR2(120) ,
    ATTRIBUTE_CATEGORY               VARCHAR2(600) ,
    ATTRIBUTE1_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE2_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE3_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE4_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE5_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE6_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE7_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE8_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE9_VARCHAR2              VARCHAR2(600) ,
    ATTRIBUTE10_VARCHAR2             VARCHAR2(600) ,
    ATTRIBUTE11_VARCHAR2             VARCHAR2(600) ,
    ATTRIBUTE12_VARCHAR2             VARCHAR2(600) ,
    ATTRIBUTE13_VARCHAR2             VARCHAR2(600) ,
    ATTRIBUTE14_VARCHAR2             VARCHAR2(600) ,
    ATTRIBUTE15_VARCHAR2             VARCHAR2(600) ,
    FAULT_ID                         VARCHAR2(4000),
    FAULT_CODE                       VARCHAR2(400) ,
    ERROR_CODE                       VARCHAR2(400) ,
    FAULT_PAYLOAD                    CLOB          ,
    CREATION_DATE                    TIMESTAMP(6)  ,
    CREATED_BY                       VARCHAR2(256) ,
    LAST_UPDATED_BY                  VARCHAR2(256) ,
    LAST_UPDATE_DATE                 TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    ISSUE_ACTION_CODE                VARCHAR2(320) ,
    ISSUE_MODULE_COMP_INSTANCE_ID    VARCHAR2(400) ,
    ISSUE_MODULE_COMPONENT_NAME      VARCHAR2(1200),
    BASE_ERROR_MESSAGE               VARCHAR2(4000),
    BASE_ERROR_HUMAN_TASK            VARCHAR2(800) ,
    BASE_ERROR_RULE_SET              VARCHAR2(4000),
    BASE_ERROR_RULE                  VARCHAR2(4000),
    BASE_ERROR_USER                  VARCHAR2(1600),
    BASE_ERROR_FUNCTION              VARCHAR2(800) ,
    PARTITION_DATE                   TIMESTAMP(6)      NOT NULL,
    CONSTRAINT pk_fnd_console_issue PRIMARY KEY (ISSUE_ID, ISSUE_ID)
);
